## 统一异常处理

目前会员中心工程中app/Exception 用来定义异常处理，包含全局统一异常处理，异常处理放在Handler文件中。开发者一般无需在业务code中使用try catch 去捕获异常。


## 错误枚举值

会员中心错误定义在app/Controller/Response/Enum/ErrorCode.php 文件中。开发者在编写业务逻辑代码，需要提前在该文件定义错误枚举值。然后在code使用如下示例代码，进行错误抛出。

```php

// code 
if (!empty($entity)) {
     throw new MemberException(ErrorCode::getMessage(ErrorCode::HAS_VERIFY, [$this->entity['text']]));
}
//normal 
return true;



```


## 异常处理

如果目前会员中心异常处理不满足开发者业务需要开发者可以参考官方教程地址，实现满足自定义需求：

使用教程：https://hyperf.wiki/2.2/#/zh-cn/exception-handler