## 请求格式
1. 除文件上传之外其他api请求一律使用**Content-Type: application/json** 提交。
2. 使用path可变变量替换实际请求参数，提高api接口安全性和可读性。比如：tenant/member/member/{id}




## 路由风格

1. 建议采用RestfulApi定义路由风格。
2. **路由path必须使用小驼峰命名**。


### 路由示例
1. 【正确✔】 {host}}/member/order/orders
2. 【错误❌】{host}}/member/order/get_order_list


### 路由定义
1. 推荐在config/routes 定义 方便集中管理
2. 通过路由注解定义